summaryrefslogtreecommitdiff
path: root/app-doc/stdman
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /app-doc/stdman
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'app-doc/stdman')
-rw-r--r--app-doc/stdman/Manifest2
-rw-r--r--app-doc/stdman/metadata.xml9
-rw-r--r--app-doc/stdman/stdman-2022.07.30.ebuild28
-rw-r--r--app-doc/stdman/stdman-2024.07.05.ebuild28
-rw-r--r--app-doc/stdman/stdman-9999.ebuild28
5 files changed, 95 insertions, 0 deletions
diff --git a/app-doc/stdman/Manifest b/app-doc/stdman/Manifest
new file mode 100644
index 000000000000..3719cc00b55d
--- /dev/null
+++ b/app-doc/stdman/Manifest
@@ -0,0 +1,2 @@
+DIST stdman-2022.07.30.tar.gz 4191007 BLAKE2B 1e1425a9acec2fab0b3e30cfd90b0e4656dce7a2faf71f4f36de3a5c311058e5bc365d6805f941caa900daf7df8ed97d16899e3fc291f2391002cd8c358e322d SHA512 1a51ed99bf459be7bd0ebd65b601eaab2d3961773a6532ab048c962331373b724678528edc48000c165588cd6c3c37b3e90e96896980b390db325b7f3896e5a6
+DIST stdman-2024.07.05.tar.gz 4773622 BLAKE2B c6928decbe3ac3f3159717c0c5df31ddb5d04f8f147f84a880899843ecad64451b58e8887e08ad13ca6442618f23ece064e1d750fc9150f745839f066937a55e SHA512 10c84a66ff53c0a8961b20b0e5e3f42e27063ba9fa36b4fcd2315e68d081107f9cf3dac2aad0e148459ca96e60aa40daa2742422f5cdd8094aa6cec0f131493a
diff --git a/app-doc/stdman/metadata.xml b/app-doc/stdman/metadata.xml
new file mode 100644
index 000000000000..6e8632a248e2
--- /dev/null
+++ b/app-doc/stdman/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>stkw0@disroot.org</email>
+ <name>David Roman</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-doc/stdman/stdman-2022.07.30.ebuild b/app-doc/stdman/stdman-2022.07.30.ebuild
new file mode 100644
index 000000000000..632817fe3a9d
--- /dev/null
+++ b/app-doc/stdman/stdman-2022.07.30.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Formatted C++ stdlib man pages (cppreference)"
+HOMEPAGE="https://github.com/jeaye/stdman https://cppreference.com"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/jeaye/stdman.git"
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/jeaye/stdman/archive/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="CC-BY-SA-3.0 FDL-1.3 MIT"
+SLOT="0"
+
+src_prepare() {
+ default
+ # Avoid compressing files
+ sed -i '/gzip/d' do_install || die
+}
+
+src_compile() {
+ :
+}
diff --git a/app-doc/stdman/stdman-2024.07.05.ebuild b/app-doc/stdman/stdman-2024.07.05.ebuild
new file mode 100644
index 000000000000..632817fe3a9d
--- /dev/null
+++ b/app-doc/stdman/stdman-2024.07.05.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Formatted C++ stdlib man pages (cppreference)"
+HOMEPAGE="https://github.com/jeaye/stdman https://cppreference.com"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/jeaye/stdman.git"
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/jeaye/stdman/archive/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="CC-BY-SA-3.0 FDL-1.3 MIT"
+SLOT="0"
+
+src_prepare() {
+ default
+ # Avoid compressing files
+ sed -i '/gzip/d' do_install || die
+}
+
+src_compile() {
+ :
+}
diff --git a/app-doc/stdman/stdman-9999.ebuild b/app-doc/stdman/stdman-9999.ebuild
new file mode 100644
index 000000000000..632817fe3a9d
--- /dev/null
+++ b/app-doc/stdman/stdman-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Formatted C++ stdlib man pages (cppreference)"
+HOMEPAGE="https://github.com/jeaye/stdman https://cppreference.com"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/jeaye/stdman.git"
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/jeaye/stdman/archive/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="CC-BY-SA-3.0 FDL-1.3 MIT"
+SLOT="0"
+
+src_prepare() {
+ default
+ # Avoid compressing files
+ sed -i '/gzip/d' do_install || die
+}
+
+src_compile() {
+ :
+}